# SDKSynchronizer

    public class SDKSynchronizer : Synchronizer

Undocumented

- `NotificationKeys`

  Undocumented

  See more

  #### Declaration

  Swift

      public enum NotificationKeys

- `status`

  #### Declaration

  Swift

      public private(set) var status: SyncStatus { get set }

- `progress`

  Undocumented

  #### Declaration

  Swift

      public private(set) var progress: Float { get }

- `blockProcessor`

  Undocumented

  #### Declaration

  Swift

      public private(set) var blockProcessor: CompactBlockProcessor { get }

- `initializer`

  Undocumented

  #### Declaration

  Swift

      public private(set) var initializer: Initializer { get }

- `latestScannedHeight`

  Undocumented

  #### Declaration

  Swift

      public private(set) var latestScannedHeight: BlockHeight { get }

- `connectionState`

  #### Declaration

  Swift

      public private(set) var connectionState: ConnectionState { get }

- `network`

  Undocumented

  #### Declaration

  Swift

      public private(set) var network: ZcashNetwork { get }

- `init(initializer:)`

  Creates an SDKSynchronizer instance

  #### Declaration

  Swift

      public convenience init(initializer: Initializer) throws

  #### Parameters

  `initializer` | a wallet Initializer object

- `initialize()`

  Undocumented

  #### Declaration

  Swift

      public func initialize() throws

- `prepare()`

  #### Declaration

  Swift

      public func prepare() throws

- `start(retry:)`

  Starts the synchronizer

  Throws

  CompactBlockProcessorError when failures occur

  #### Declaration

  Swift

      public func start(retry: Bool = false) throws

- `stop()`

  Stops the synchronizer

  #### Declaration

  Swift

      public func stop()

### Synchronizer methods

- `sendToAddress(spendingKey:zatoshi:toAddress:memo:from:resultBlock:)`

  Undocumented

  #### Declaration

  Swift

      public func sendToAddress(
          spendingKey: String,
          zatoshi: Int64,
          toAddress: String,
          memo: String?,
          from accountIndex: Int,
          resultBlock: @escaping (Result<PendingTransactionEntity, Error>) -> Void
      )

- `shieldFunds(spendingKey:transparentSecretKey:memo:from:resultBlock:)`

  #### Declaration

  Swift

      public func shieldFunds(
          spendingKey: String,
          transparentSecretKey: String,
          memo: String?,
          from accountIndex: Int,
          resultBlock: @escaping (Result<PendingTransactionEntity, Error>) -> Void
      )

- `cancelSpend(transaction:)`

  #### Declaration

  Swift

      public func cancelSpend(transaction: PendingTransactionEntity) -> Bool

- `allReceivedTransactions()`

  Undocumented

  #### Declaration

  Swift

      public func allReceivedTransactions() throws -> [ConfirmedTransactionEntity]

- `allPendingTransactions()`

  Undocumented

  #### Declaration

  Swift

      public func allPendingTransactions() throws -> [PendingTransactionEntity]

- `allClearedTransactions()`

  Undocumented

  #### Declaration

  Swift

      public func allClearedTransactions() throws -> [ConfirmedTransactionEntity]

- `allSentTransactions()`

  Undocumented

  #### Declaration

  Swift

      public func allSentTransactions() throws -> [ConfirmedTransactionEntity]

- `allConfirmedTransactions(from:limit:)`

  #### Declaration

  Swift

      public func allConfirmedTransactions(from transaction: ConfirmedTransactionEntity?, limit: Int) throws -> [ConfirmedTransactionEntity]?

- `paginatedTransactions(of:)`

  #### Declaration

  Swift

      public func paginatedTransactions(of kind: TransactionKind = .all) -> PaginatedTransactionRepository

- `latestDownloadedHeight()`

  #### Declaration

  Swift

      public func latestDownloadedHeight() throws -> BlockHeight

- `latestHeight(result:)`

  #### Declaration

  Swift

      public func latestHeight(result: @escaping (Result<BlockHeight, Error>) -> Void)

- `latestHeight()`

  #### Declaration

  Swift

      public func latestHeight() throws -> BlockHeight

- `latestUTXOs(address:result:)`

  Undocumented

  #### Declaration

  Swift

      public func latestUTXOs(address: String, result: @escaping (Result<[UnspentTransactionOutputEntity], Error>) -> Void)

- `refreshUTXOs(address:from:result:)`

  #### Declaration

  Swift

      public func refreshUTXOs(address: String, from height: BlockHeight, result: @escaping (Result<RefreshedUTXOs, Error>) -> Void)

- `getShieldedBalance(accountIndex:)`

  #### Declaration

  Swift

      public func getShieldedBalance(accountIndex: Int = 0) -> Int64

- `getShieldedVerifiedBalance(accountIndex:)`

  #### Declaration

  Swift

      public func getShieldedVerifiedBalance(accountIndex: Int = 0) -> Int64

- `getShieldedAddress(accountIndex:)`

  #### Declaration

  Swift

      public func getShieldedAddress(accountIndex: Int) -> SaplingShieldedAddress?

- `getUnifiedAddress(accountIndex:)`

  #### Declaration

  Swift

      public func getUnifiedAddress(accountIndex: Int) -> UnifiedAddress?

- `getTransparentAddress(accountIndex:)`

  #### Declaration

  Swift

      public func getTransparentAddress(accountIndex: Int) -> TransparentAddress?

- `getTransparentBalance(accountIndex:)`

  #### Declaration

  Swift

      public func getTransparentBalance(accountIndex: Int) throws -> WalletBalance

- `getTransparentBalance(address:)`

  Returns the last stored unshielded balance

  #### Declaration

  Swift

      public func getTransparentBalance(address: String) throws -> WalletBalance

- `rewind(_:)`

  #### Declaration

  Swift

      public func rewind(_ policy: RewindPolicy) throws

- `pendingTransactions`

  #### Declaration

  Swift

      public var pendingTransactions: [PendingTransactionEntity] { get }

- `clearedTransactions`

  #### Declaration

  Swift

      public var clearedTransactions: [ConfirmedTransactionEntity] { get }

- `sentTransactions`

  #### Declaration

  Swift

      public var sentTransactions: [ConfirmedTransactionEntity] { get }

- `receivedTransactions`

  #### Declaration

  Swift

      public var receivedTransactions: [ConfirmedTransactionEntity] { get }

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.